#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( soap )
add_subdirectory( tdeioslave )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/libtdepim
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE kcal_groupwise.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}/tderesources/kcal
  PO_DIR tderesources-desktops
)

tde_create_translated_desktop(
  SOURCE tdeabc_groupwise.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}/tderesources/tdeabc
  PO_DIR tderesources-desktops
)


##### kcal_groupwise (module) ###################

tde_add_kpart( kcal_groupwise AUTOMOC
  SOURCES kcal_resourcegroupwise_plugin.cpp
  LINK kcal_groupwise-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### tdeabc_groupwise (module) ###################

tde_add_kpart( tdeabc_groupwise AUTOMOC
  SOURCES tdeabc_resourcegroupwise_plugin.cpp
  LINK tdeabc_groupwise-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### kcal_groupwise (shared) ###################

tde_add_library( kcal_groupwise SHARED AUTOMOC
  SOURCES
    kcal_resourcegroupwise.cpp kcal_resourcegroupwiseconfig.cpp
    kcal_groupwiseprefsbase.kcfgc kcal_groupwiseprefs.cpp
    groupwisesettingswidget.cpp groupwisesettingswidgetbase.ui
  VERSION 1.0.0
  LINK gwsoap-shared
  DESTINATION ${LIB_INSTALL_DIR}
)


##### tdeabc_groupwise (shared) ###################

tde_add_library( tdeabc_groupwise SHARED AUTOMOC
  SOURCES
    tdeabc_resourcegroupwise.cpp tdeabc_resourcegroupwiseconfig.cpp
    tdeabc_groupwiseprefs.kcfgc
  VERSION 1.0.0
  LINK gwsoap-shared
  DESTINATION ${LIB_INSTALL_DIR}
)
